PropertyIteratorImpl (Apache JMeter dist API)
Description: declaration: package: org.apache.jmeter.testelement.property, class: PropertyIteratorImpl

Package org.apache.jmeter.testelement.property

# Class PropertyIteratorImpl

java.lang.Object
org.apache.jmeter.testelement.property.PropertyIteratorImpl

All Implemented Interfaces:
  `Iterator<JMeterProperty>`, `PropertyIterator`

public class PropertyIteratorImpl extends Object implements PropertyIterator

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final PropertyIterator`
  `EMPTY_ITERATOR`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PropertyIteratorImpl(Collection<JMeterProperty> value)`
  `PropertyIteratorImpl(org.apache.jmeter.testelement.TestElement owner, Iterable<? extends JMeterProperty> properties)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `hasNext()`
  `JMeterProperty`
  `next()`
  `void`
  `remove()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface java.util.Iterator

  `forEachRemaining`

- ## Field Details

  - ### EMPTY_ITERATOR

    public static final PropertyIterator EMPTY_ITERATOR

- ## Constructor Details

  - ### PropertyIteratorImpl

    public PropertyIteratorImpl(Collection<JMeterProperty> value)

  - ### PropertyIteratorImpl

    public PropertyIteratorImpl(org.apache.jmeter.testelement.TestElement owner, Iterable<? extends JMeterProperty> properties)

- ## Method Details

  - ### hasNext

    public boolean hasNext()
    Specified by:
      `hasNext` in interface `Iterator<JMeterProperty>`
    Specified by:
      `hasNext` in interface `PropertyIterator`

  - ### next

    public JMeterProperty next()
    Specified by:
      `next` in interface `Iterator<JMeterProperty>`
    Specified by:
      `next` in interface `PropertyIterator`

  - ### remove

    public void remove()
    Specified by:
      `remove` in interface `Iterator<JMeterProperty>`
    Specified by:
      `remove` in interface `PropertyIterator`